Bug 668127 - [abrt] system-config-printer-1.2.5-8.fc14: system-config-printer.py:5634:entry_changed:UnicodeDecodeError: 'utf8' codec can't decode byte 0xaa in position 52: invalid start byte
Summary: [abrt] system-config-printer-1.2.5-8.fc14: system-config-printer.py:5634:entr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:60ee4ced
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-08 00:53 UTC by Jorge Fábregas
Modified: 2011-03-15 21:56 UTC (History)
2 users (show)

Fixed In Version: system-config-printer-1.2.7-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-07 20:01:10 UTC


Attachments (Terms of Use)
File: backtrace (1.07 KB, text/plain)
2011-01-08 00:54 UTC, Jorge Fábregas
no flags Details

Description Jorge Fábregas 2011-01-08 00:53:58 UTC
abrt version: 1.1.14
architecture: i686
cmdline: /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
comment: Go to System --> Administration --> Printing  Click on Add ... I get two prompts to enter root password...then I expand "Network Printer" and click "Find Network Printer¨.
component: system-config-printer
executable: /usr/share/system-config-printer/system-config-printer.py
kernel: 2.6.35.10-74.fc14.i686
package: system-config-printer-1.2.5-8.fc14
reason: system-config-printer.py:5634:entry_changed:UnicodeDecodeError: 'utf8' codec can't decode byte 0xaa in position 52: invalid start byte
release: Fedora release 14 (Laughlin)
How to reproduce: This is a fresh installation of Fedora 14 (totally updated) and I wanted to configure my network printer.  As soon as I expand "Network Printer" and click "Find Network Printer" I get the crash notfiication. Three seconds later the printer appears above where it says "Find Network Printer".  I closed system-config-printer (it's still there) and reopened it and got the same crash at the same point.
time: 1294447874
uid: 500

backtrace
-----
system-config-printer.py:5634:entry_changed:UnicodeDecodeError: 'utf8' codec can't decode byte 0xaa in position 52: invalid start byte

Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 5641, in on_entNPTDevice_changed
    self.entry_changed(ent, allowed_chars)
  File "/usr/share/system-config-printer/system-config-printer.py", line 5634, in entry_changed
    if char not in allowed_chars:
UnicodeDecodeError: 'utf8' codec can't decode byte 0xaa in position 52: invalid start byte

Local variables in innermost frame:
new_text: u'network'
self: <__main__.NewPrinterGUI instance at 0x9d15a0c>
allowed_chars: 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz\xaa\xb5\xba\xc0\xc1\xc2\xc3\xc4\xc5\xc6\xc7\xc8\xc9\xca\xcb\xcc\xcd\xce\xcf\xd0\xd1\xd2\xd3\xd4\xd5\xd6\xd8\xd9\xda\xdb\xdc\xdd\xde\xdf\xe0\xe1\xe2\xe3\xe4\xe5\xe6\xe7\xe8\xe9\xea\xeb\xec\xed\xee\xef\xf0\xf1\xf2\xf3\xf4\xf5\xf6\xf8\xf9\xfa\xfb\xfc\xfd\xfe\xff0123456789_-./:'
origtext: u'network'
char: u'n'
entry: <gtk.Entry object at 0x9d1fe8c (GtkEntry at 0x9da5b28)>

Comment 1 Jorge Fábregas 2011-01-08 00:54:02 UTC
Created attachment 472327 [details]
File: backtrace

Comment 2 Jiri Popelka 2011-01-09 11:20:29 UTC
Thanks for the report.
Can you run (as root) the following command (it's all in one line) and try to reproduce the problem again ?

sed -i s/'unicode (entry.get_text())'/'entry.get_text()'/ /usr/share/system-config-printer/system-config-printer.py

Also what does the 'locale' command show ?

Comment 3 Jorge Fábregas 2011-01-09 14:00:05 UTC
Hi,

After running your sed command it works perfectly. I put back in "unicode (entry.get_text())" and I'll receive the crash back again. 

The output of locale:

LANG=en_US
LC_CTYPE="en_US"
LC_NUMERIC="en_US"
LC_TIME="en_US"
LC_COLLATE="en_US"
LC_MONETARY="en_US"
LC_MESSAGES="en_US"
LC_PAPER="en_US"
LC_NAME="en_US"
LC_ADDRESS="en_US"
LC_TELEPHONE="en_US"
LC_MEASUREMENT="en_US"
LC_IDENTIFICATION="en_US"
LC_ALL=

AS you can see, the only change I did after installation (locale-wise) was to modify /etc/sysconfig/i18n and replaced en_US.UTF-8 to en_US.

--
Jorge

Comment 5 Fedora Update System 2011-01-17 17:39:55 UTC
system-config-printer-1.2.6-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/system-config-printer-1.2.6-1.fc14

Comment 6 Fedora Update System 2011-01-17 17:40:26 UTC
system-config-printer-1.2.6-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/system-config-printer-1.2.6-1.fc13

Comment 7 Fedora Update System 2011-01-18 21:28:59 UTC
system-config-printer-1.2.6-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/system-config-printer-1.2.6-2.fc13

Comment 8 Fedora Update System 2011-02-07 20:00:18 UTC
system-config-printer-1.2.6-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-03-15 21:55:35 UTC
system-config-printer-1.2.7-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.